VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
Preferences Class Reference

`#include <preferences.h>`

## Public Member Functions
| Preferences (Preferences &&)=default
Preferences & | operator= (Preferences &&)=default
| Preferences (const std::initializer_list< const char * > &groups, const char *groupSeparator=DefaultPreferencesGroupSeparator)
| Preferences (const UTF8String &inGroupKey="", const char *groupSeparator=DefaultPreferencesGroupSeparator)
Preferences | subGroupPreferences (const UTF8String &subGroup) const
bool | set (const UTF8String &key, const UTF8String &value) const
Optional< UTF8String > | get (const UTF8String &key) const
template<typename T >
bool | setNumber (const UTF8String &key, T value) const
template<typename T >
bool | setFloat (const UTF8String &key, T value, uint32_t precision=8) const
template<typename T >
Optional< T > | getNumber (const UTF8String &key) const
bool | setPoint (const UTF8String &key, CPoint p, uint32_t precision=8) const
Optional< CPoint > | getPoint (const UTF8String &key) const
const UTF8String & | getGroupKey () const
const UTF8String & | getGroupSeparator () const

## Constructor & Destructor Documentation

## ◆ Preferences() [1/3]

Preferences | ( | Preferences && |  | ) |
| default

## ◆ Preferences() [2/3]

Preferences | ( | const std::initializer_list< const char * > & | groups,
|  | const char * | groupSeparator = `DefaultPreferencesGroupSeparator`
| ) |  |
| inline

## ◆ Preferences() [3/3]

Preferences | ( | const UTF8String & | inGroupKey = `""`,
|  | const char * | groupSeparator = `DefaultPreferencesGroupSeparator`
| ) |  |
| inline

## Member Function Documentation

## ◆ get()

Optional< UTF8String > get | ( | const UTF8String & | key | ) | const
| inline

## ◆ getGroupKey()

const UTF8String & getGroupKey | ( |  | ) | const
| inline

## ◆ getGroupSeparator()

const UTF8String & getGroupSeparator | ( |  | ) | const
| inline

## ◆ getNumber()

Optional< T > getNumber | ( | const UTF8String & | key | ) | const
| inline

## ◆ getPoint()

Optional< CPoint > getPoint | ( | const UTF8String & | key | ) | const
| inline

## ◆ operator=()

Preferences & operator= | ( | Preferences && |  | ) |
| default

## ◆ set()

bool set | ( | const UTF8String & | key,
|  | const UTF8String & | value
| ) |  | const
| inline

## ◆ setFloat()

bool setFloat | ( | const UTF8String & | key,
|  | T | value,
|  | uint32_t | precision = `8`
| ) |  | const
| inline

## ◆ setNumber()

bool setNumber | ( | const UTF8String & | key,
|  | T | value
| ) |  | const
| inline

## ◆ setPoint()

bool setPoint | ( | const UTF8String & | key,
|  | CPoint | p,
|  | uint32_t | precision = `8`
| ) |  | const
| inline

## ◆ subGroupPreferences()

Preferences subGroupPreferences | ( | const UTF8String & | subGroup | ) | const
| inline

The documentation for this class was generated from the following file:

- preferences.h